<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@color/dk_transparent"
    android:orientation="vertical" >

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:background="@color/dk_gamesdk_white"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingBottom="12dp"
            android:paddingLeft="15dp"
            android:paddingRight="15dp"
            android:paddingTop="12dp" >

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="2"
                android:orientation="vertical" >

                <TextView
                    android:id="@+id/dk_text_view_other_pay"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:paddingLeft="0dp"
                    android:text="@string/dk_credit_key_card"
                    android:textColor="@color/dk_color_333333"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="4dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal" >

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/dk_ic_credit_card_tip" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginLeft="4dp"
                        android:text="@string/dk_tip_credit_security"
                        android:textColor="#58ad0c"
                        android:textSize="@dimen/text_size_12_sp" />
                </LinearLayout>
            </LinearLayout>

            <Button
                android:id="@+id/dk_btn_bank_manage"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_gravity="center_vertical"
                android:layout_weight="1.1"
                android:background="@drawable/dk_payment_btn_bank_selector"
                android:gravity="center"
                android:text="@string/dk_btn_bank_manage"
                android:textSize="@dimen/text_size_14_sp" />
        </LinearLayout>

        <ImageView
            android:id="@+id/dk_image_view_divider"
            android:layout_width="fill_parent"
            android:layout_height="1px"
            android:background="@color/dk_color_eeeeee"
            android:visibility="visible" />

        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="12dp"
            android:background="@drawable/dk_payment_bottom_dialog_bg"
            android:orientation="horizontal"
            android:visibility="gone" >
        </LinearLayout>

        <ScrollView
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:fadeScrollbars="false"
            android:fillViewport="true"
            android:scrollbarThumbVertical="@drawable/dk_scrollbar_gray" >

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="0dp"
                    android:layout_marginLeft="12dp"
                    android:layout_marginRight="12dp"
                    android:layout_weight="10"
                    android:orientation="vertical"
                    android:paddingTop="8dp" >

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_horizontal"
                        android:orientation="horizontal" >

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="2"
                            android:orientation="vertical" >

                            <LinearLayout
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal" >

                                <TextView
                                    android:id="@+id/dk_tv_tip_select_title"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/dk_tip_current_amount"
                                    android:textColor="#333333"
                                    android:textSize="@dimen/text_size_14_sp" />

                                <TextView
                                    android:id="@+id/dk_tv_tip_select_content"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/dk_tip_choose_recharge_ratio"
                                    android:textColor="@color/dk_color_f08f1e"
                                    android:textSize="@dimen/text_size_14_sp" />
                            </LinearLayout>

                            <LinearLayout
                                android:id="@+id/dk_layout_info"
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="4dp"
                                android:orientation="horizontal"
                                android:visibility="gone" >

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/dk_tip_pay_desc"
                                    android:textColor="#666666"
                                    android:textSize="@dimen/text_size_12_sp" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="4dp" >

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/dk_tip_input_credit_info"
                                    android:textColor="#333333"
                                    android:textSize="@dimen/text_size_14_sp" />
                            </LinearLayout>
                        </LinearLayout>

                        <!-- <LinearLayout -->
                        <!-- android:id="@+id/dk_layout_support_bank" -->
                        <!-- android:layout_width="0dp" -->
                        <!-- android:layout_height="32dp" -->
                        <!-- android:layout_weight="1.1" -->
                        <!-- android:orientation="vertical" -->
                        <!-- android:gravity="center_vertical" -->
                        <!-- android:layout_marginLeft="4dp" -->
                        <!-- android:layout_gravity="center_vertical" -->
                        <!-- android:background="@drawable/dk_bg_support_bank"> -->

                        <Button
                            android:id="@+id/dk_text_view_support_bank"
                            android:layout_width="100dp"
                            android:layout_height="35dp"
                            android:layout_gravity="center"
                            android:layout_marginBottom="4dp"
                            android:layout_marginTop="4dp"
                            android:text="@string/dk_tip_support_bank"
                            android:background="@drawable/dk_payment_btn_bank_selector"
                            android:textSize="@dimen/text_size_14_sp" />
                        <!-- </LinearLayout> -->
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/dk_layout_input_credit_card"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:orientation="vertical" >

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal" >

                            <EditText
                                android:id="@+id/dk_et_credit_number"
                                android:layout_width="fill_parent"
                                android:layout_height="36dp"
                                android:background="@drawable/dk_payment_edittext_selector"
                                android:focusable="true"
                                android:focusableInTouchMode="true"
                                android:gravity="center_vertical"
                                android:hint="@string/dk_tip_credit_card_number_hint"
                                android:inputType="numberSigned"
                                android:nextFocusDown="@+id/dk_et_credit_phone"
                                android:textColor="#333333"
                                android:textSize="@dimen/text_size_14_sp" 
                                android:paddingLeft="6dp">
                            </EditText>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp" >

                            <EditText
                                android:id="@+id/dk_et_credit_phone"
                                android:layout_width="fill_parent"
                                android:layout_height="36dp"
                                android:background="@drawable/dk_payment_edittext_selector"
                                android:focusable="true"
                                android:focusableInTouchMode="true"
                                android:gravity="center_vertical"
                                android:hint="@string/dk_tip_credit_card_phone_hint"
                                android:inputType="phone"
                                android:nextFocusDown="@+id/dk_et_credit_date"
                                android:textColor="#333333"
                                android:textSize="@dimen/text_size_14_sp"
                                android:paddingLeft="6dp" >
                            </EditText>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:orientation="horizontal" >

                            <EditText
                                android:id="@+id/dk_et_credit_date"
                                android:layout_width="0dp"
                                android:layout_height="36dp"
                                android:layout_marginRight="4dp"
                                android:layout_weight="1"
                                android:background="@drawable/dk_payment_edittext_selector"
                                android:focusable="true"
                                android:focusableInTouchMode="true"
                                android:gravity="center_vertical"
                                android:hint="@string/dk_tip_credit_card_date_hint"
                                android:imeOptions="actionNext"
                                android:nextFocusDown="@id/dk_et_credit_code"
                                android:textColor="#333333"
                                android:textSize="@dimen/text_size_14_sp"
                                android:paddingLeft="6dp" >
                            </EditText>

                            <EditText
                                android:id="@+id/dk_et_credit_code"
                                android:layout_width="0dp"
                                android:layout_height="36dp"
                                android:layout_marginLeft="4dp"
                                android:layout_weight="1"
                                android:background="@drawable/dk_payment_edittext_selector"
                                android:focusable="true"
                                android:focusableInTouchMode="true"
                                android:gravity="center_vertical"
                                android:hint="@string/dk_tip_credit_card_code_hint"
                                android:inputType="text"
                                android:textColor="#333333"
                                android:textSize="@dimen/text_size_14_sp" 
                                android:paddingLeft="6dp">
                            </EditText>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:gravity="center_horizontal"
                            android:orientation="horizontal" >

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:src="@drawable/dk_ic_credit_card_date" />

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:src="@drawable/dk_ic_credit_card_code" />
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal" >

                        <Button
                            android:id="@+id/dk_btn_intput_credit_pay"
                            android:layout_width="0dp"
                            android:layout_height="36dp"
                            android:layout_weight="1"
                            android:background="@drawable/dk_yellow_btn_selector"
                            android:gravity="center"
                            android:text="@string/dk_btn_string_pay"
                            android:textColor="#e4520b"
                            android:textSize="@dimen/text_size_16_sp" />
                    </LinearLayout>
                </LinearLayout>

                <RelativeLayout
                    android:id="@+id/dk_layout_bottom_logo"
                    android:layout_width="fill_parent"
                    android:layout_height="0dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_weight="2"
                    android:layout_marginBottom="15dp"
                    android:gravity="center_horizontal|bottom"
                    android:visibility="invisible" >

                    <include layout="@layout/dk_payment_bottom" />
                </RelativeLayout>
            </LinearLayout>
        </ScrollView>
    </LinearLayout>

</RelativeLayout>